# Class PlayerTextTracksChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerTextTracksChangedEvent

#####
Index

### Constructors

constructor

### Properties

tracks
type

## Constructors

### constructor

- new PlayerTextTracksChangedEvent(tracks): PlayerTextTracksChangedEvent

- #### Parameters

  - tracks: TextTrack[]

  #### Returns PlayerTextTracksChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` tracks

tracks: TextTrack[]

### `Readonly` type

type: "playerTextTracksChanged" = Events.PlayerTextTracksChanged

Overrides BasePlayerEvent.type